"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TSHttpError = exports.TSError = exports.TSUniqueError = void 0;
const commons_1 = require("./commons");
class TSUniqueError extends Error {
    constructor(message) {
        super(message);
    }
    static genericError() {
        if (!(0, commons_1.$ok)(this.__genericInstance)) {
            this.__genericInstance = new TSUniqueError('GENERICSINGLETONERROR');
        }
        return this.__genericInstance;
    }
    static esError() {
        if (!(0, commons_1.$ok)(this.__esInstance)) {
            this.__esInstance = new TSUniqueError('ESSINGLETONERROR');
        }
        return this.__esInstance;
    }
}
exports.TSUniqueError = TSUniqueError;
class TSError extends Error {
    constructor(message, infos) {
        super(message);
        this.infos = infos;
    }
}
exports.TSError = TSError;
class TSHttpError extends TSError {
    constructor(message, status, infos) {
        super(message, infos);
        this.status = status;
    }
}
exports.TSHttpError = TSHttpError;
//# sourceMappingURL=tserrors.js.map